orte/mca/gpr/replica/functional_layer/gpr_replica_dump_fn.c File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_dump_fn.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_dump_fn.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/soh/soh_types.h'\fP
.br
\fC#include 'mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br
\fC#include 'gpr_replica_fn.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static void \fBorte_gpr_replica_dump_load_string\fP (\fBorte_buffer_t\fP *buffer, char **tmp)"
.br
.ti -1c
.RI "void \fBorte_gpr_replica_dump_itagval_value\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_replica_itagval_t *iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_all_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_segments_fn\fP (\fBorte_buffer_t\fP *buffer, char *segment)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_a_segment_fn\fP (\fBorte_buffer_t\fP *buffer, \fBorte_gpr_replica_segment_t\fP *seg)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_callbacks_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_triggers_fn\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_trigger_id_t start)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_trigger\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_subscriptions_fn\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_subscription_id_t start)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_subscription\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_replica_subscription_t *sub)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
